Skip to Content
SeyloDocs
API referenceEnvironment

Get a project's shared variables

GET
/api/v1/env.getShared

Returns the project's shared variables as .env text. Every service of the project can use them as ${{project.NAME}}.

Needs env.view on the project. Available to MCP clients and the assistant.

Authorization

cookieseylo_session<token>

Query Parameters

projectId*string

Panel-issued id.

Match^[a-z0-9]{16}$

Response Body

Success.

application/json
  1. response
text*string

Contents of a .env file.

Lengthlength <= 262144
variables*array<>
updatedAt*|null
Example Request
curl -X GET 'https://example.com/api/v1/env.getShared?projectId=string'
Example Response
{  "text": "string",  "variables": [    {      "key": "string",      "value": "string",      "line": 1    }  ],  "updatedAt": "2019-08-24T14:15:22Z"}